#### D.2.8.20 hilbPoly

Procedure from library `poly.lib` (see poly_lib).

Usage:
  hilbPoly(I); I a homogeneous ideal

Return:
  the Hilbert polynomial of basering/I as an intvec v=v_0,...,v_r such that the Hilbert polynomial is (v_0+v_1*t+...v_r*t^r)/r!

Example:

    LIB "poly.lib";
    ring r = 0,(b,c,t,h),dp;
    ideal I=
    bct-t2h+2th2+h3,
    bt3-ct3-t4+b2th+c2th-2bt2h+2ct2h+2t3h-bch2-2bth2+2cth2+2th3,
    b2c2+bt2h-ct2h-t3h+b2h2+2bch2+c2h2-2bth2+2cth2+t2h2-2bh3+2ch3+2th3+3h4,
    c2t3+ct4-c3th-2c2t2h-2ct3h-t4h+bc2h2-2c2th2-bt2h2+4t3h2+2bth3-2cth3-t2h3
    +bh4-6th4-2h5;
    hilbPoly(I);
    ==> -11,10

User manual for Singular version 4-0-3, 2016, generated by texi2html.